cbuffer cColor : register(b0)
{
	float3 size : TARGETSIZE;
	float3 freq=1;
	float3 Translate=.5;
	float Scale=.5;
	int Count=5 ;
	float4x4 Transform <string uiname="Transform"; >;

	float f;
	
}

RWTexture3D<float4> Output : BACKBUFFER;

[numthreads(8, 8, 8)]
void Sphere_cs( uint3 DTid : SV_DispatchThreadID )
{	
	
	float4 q=1;


	
	
	
	float3 uvw=float3(DTid.xyz)/size;

	float4 c=1;
	c.rgb=sin(f*uvw*acos(-1)*2*freq);
	c.a=length(frac((uvw+Translate)*Count)-0.5)<Scale;
	
	Output[DTid.xyz] = c;
}
 
technique11 Sphere
{
	pass P0
	{
		SetComputeShader( CompileShader( cs_5_0, Sphere_cs() ) );
	}
}

